InfoGrab DocsInfoGrab Docs

그룹 API

GitLab 그룹을 생성, 조회, 업데이트, 삭제하는 API 엔드포인트를 설명합니다.

- Tier: Free, Premium, Ultimate - Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated 이 API를 사용하여 GitLab 그룹을 조회하고 관리합니다. 자세한 내용은 그룹 을 참조하세요. 엔드포인트 응답은 그룹에서 인증된 사용자의 권한 에 따라 달라질 수 있습니다. 그룹 조회 # 그룹의 세부 정보를 조회합니다. 그룹이 공개적으로 접근 가능한 경우, 이 엔드포인트는 인증 없이도 접근할 수 있습니다. 요청하는 사용자가 관리자인 경우, 추가 정보가 반환됩니다. 인증을 통해 사용자가 관리자이거나 Owner 역할을 가진 경우 그룹의 runners_token 과 enabled_git_access_protocol 도 반환합니다. GET /groups/:id 파라미터: Attribute Type Required Description id integer or string yes The ID or URL-encoded path of the group. with_custom_attributes boolean no Include custom attributes in response (administrators only). with_projects boolean no Include details from projects that belong to the specified group (defaults to true). (Deprecated, scheduled for removal in API v5. To get the details of all projects in a group, use the list a group’s projects endpoint.) 응답의 `projects`와 `shared_projects` 속성은 deprecated 처리되어 [API v5에서 제거될 예정](https://gitlab.com/gitlab-org/gitlab/-/issues/213797)입니다. 그룹 내 모든 프로젝트의 세부 정보를 가져오려면 그룹 프로젝트 목록 조회 또는 그룹 공유 프로젝트 목록 조회 엔드포인트를 사용하세요. curl --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/groups/4" 이 엔드포인트는 최대 100개의 프로젝트와 공유 프로젝트를 반환합니다. 그룹 내 모든 프로젝트의 세부 정보를 가져오려면 그룹 프로젝트 목록 조회 엔드포인트 를 사용하세요. 응답 예시: { "id": 4, "name": "Twitter", "path": "twitter", "description": "Aliquid qui quis dignissimos distinctio ut commodi voluptas est.", "visibility": "public", "avatar_url": null, "web_url": "https://gitlab.example.com/groups/twi